/* 1541control - way overdesigned LCD addon for a 1541
   Copyright (C) 2007  Ingo Korb <ingo@akana.de>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; version 2 of the License only.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   
   config.h: Configuration stuff

*/

#ifndef CONFIG_H
#define CONFIG_H

// #define F_CPU 128000L
#define F_CPU 1000000L
// #define F_CPU 7372800L
//#define F_CPU 8000000L

#define BAUDRATE 19200

// Wird im Programm verwendet!
#define USE_LCD_STDOUT

// Eingang fr Steppermotorsignale
#define TRACK_DDR   DDRD
#define TRACK_PORT  PORTD
#define TRACK_PIN   PIND
#define TRACK_BIT0  PD2
#define TRACK_BIT1  PD3
#define TRACK_MOTOR PD0

// Eingang fuer Density-Signale
#define DENSITY_DDR  DDRD
#define DENSITY_PORT PORTD
#define DENSITY_PIN  PIND
#define DENSITY_BIT0 PD4
#define DENSITY_BIT1 PD5

#endif
