/* 1541control - way overdesigned LCD addon for a 1541
   Copyright (C) 2007  Ingo Korb <ingo@akana.de>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; version 2 of the License only.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   
   tracker.h: Stepper motor position estimator

*/

#ifndef TRACKER_H
#define TRACKER_H

#include <stdint.h>
#include <avr/pgmspace.h>

void update_tracker(void);
void init_tracker(void);

extern volatile  int8_t current_track;
extern volatile  int8_t current_density;

#define TRACK_CHANGED   1
#define DENSITY_CHANGED 2
#define TRACK_VALID     128
extern volatile uint8_t tracker_flags;

// FIXME: Nur zum Debugging
extern volatile uint8_t lasttrack;
extern volatile  int8_t mintrack,maxtrack;
#endif
